Subject: Re: [net-next, v2 1/2] psp: Support for transmit on logical device when the underlying transport device supports PSP.

From: Jakub Kicinski <[email-masked]>
Date: Thu, 26 Feb 2026 17:06:46 -0800

On Thu, 26 Feb 2026 17:16:58 +0530 Kiran Kella wrote:
> > The lack of support for netns is a bit of a gap for this feature. It may
> > make sense to see if what was posted in
> > https://lore.kernel.org/netdev/[email-masked]/
> > is sufficient for your use case, as it handles cases where upper devices
> > are in a different netns from psd->main_netdev.  
> 
> Thanks. Went through the changes in
> https://lore.kernel.org/netdev/[email-masked]/
> It is sufficient for my use case too, although it specifically
> addresses the cross-netns virtual devices use case.
> But the same net-ns stacked devices like VLANs can be handled with
> this patch implicitly, without user intervention through dev-assoc.
> I think both approaches can co-exist without conflict.
> However, I am ok with using a single approach to use the dev-assoc for
> the same net-ns use case too.

FTR I have mixed feelings about automatic propagation of PSP onto upper
devices. If we propagate it onto vlan, why not bond, and if bond why not
bridge. Or macsec (can every device do multiple layers of encryption?)

If user does the propagation and that results in packet loss that's
user's fault not ours. IDK.